#include "xhbasic.h"
#include "spring.h"
#include "uspring1.xpm"
#include "uspring2.xpm"

Pixmap upx1 = 0,umsk1 = 0;
Pixmap upx2 = 0,umsk2 = 0;
Spring::Spring(XhedgehogWin *xhw,float _x,float _y,int d,int s) :
  ZoneObject(xhw,_x,_y,0,0,1,1) {
    if(!upx1) {
      xhw->LoadPixmap(uspring1_xpm,&upx1,&umsk1);
      xhw->LoadPixmap(uspring2_xpm,&upx2,&umsk2);
    }
    ChangeSpriteShape(upx1,umsk1);
    dir = d;
    strength = s;
    ct = 0;
}

void Spring::MoveSprite(float newx,float newy) {
  ZoneObject::MoveSprite(newx,newy);
  if(ct > 0) {
    ct++;
    if(ct > 3) {
      y += 32;
      ChangeSpriteShape(upx1,umsk1);
      ct = 0;
    }
  }
}

void Spring::Activate() {
  ct = 1;
  y -= 32;
  ChangeSpriteShape(upx2,umsk2);
}
